org.keycloak.jose.jws.crypto

## Class RSAProvider

- java.lang.Object
- - org.keycloak.jose.jws.crypto.RSAProvider

- All Implemented Interfaces:
    SignatureProvider

      public class RSAProvider
      extends Object
      implements SignatureProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAProvider()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getJavaAlgorithm(Algorithm alg)`
    `static Signature` | `getSignature(Algorithm alg)`
    `static byte[]` | `sign(byte[] data, Algorithm algorithm, PrivateKey privateKey)`
    `static boolean` | `verify(JWSInput input, PublicKey publicKey)`
    `boolean` | `verify(JWSInput input, String key)`
    `static boolean` | `verifyViaCertificate(JWSInput input, String cert)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSAProvider

          public RSAProvider()

  - ### Method Detail

    - #### getJavaAlgorithm

          public static String getJavaAlgorithm(Algorithm alg)

    - #### getSignature

          public static Signature getSignature(Algorithm alg)

    - #### sign

          public static byte[] sign(byte[] data,
                                    Algorithm algorithm,
                                    PrivateKey privateKey)

    - #### verifyViaCertificate

          public static boolean verifyViaCertificate(JWSInput input,
                                                     String cert)

    - #### verify

          public static boolean verify(JWSInput input,
                                       PublicKey publicKey)

    - #### verify

          public boolean verify(JWSInput input,
                                String key)

      Specified by:
        `verify` in interface `SignatureProvider`

Copyright © 2016 JBoss by Red Hat. All rights reserved.